@import url("https://fonts.verwaltungsportal.de/import/?family=Quicksand:400,700");

html {
	max-width: 1930px;
	margin-left: auto;
	margin-right: auto;
	background: #ceecf1;
	scroll-behavior: smooth;
	scroll-padding-top: 100px;
	scrollbar-color: #c93631 #ffffff;
	scrollbar-width: thin;
}

body {
	font-family: "Quicksand", sans-serif;
	font-weight: 400;
	color: #010101;
	background: #ffffff;
	font-size: clamp(1rem, 2vw, 1.125rem);
	/* 1rem = 16px */
	line-height: 1.5;
	isolation: isolate;
}

@media (min-width: 768px) {
	body {
		font-size: 1.125rem;
	}
}

a {
	color: #c93631;
}

a:is(:hover, :focus) {
	color: #c93631;
	text-decoration: underline;
}

#content a,
b,
strong {
	font-weight: 700;
}

@media (min-width: 992px) {
	body {
		padding-left: clamp(25px, 4vw, 45px);
		padding-right: clamp(25px, 4vw, 45px);
	}
}

.gap {
	gap: 30px 0;
}

/* -------------------------------------------- logo -------------------------------------------- */

#logo {
	border-bottom: 1px solid #010101;
}

#logo a {
	display: inline-block;
	margin: 0px auto;
}

#logo img {
	display: block;
}

@media (max-width: 991px) {
	#logo img {
		max-width: calc(100vw - 120px);
		width: 100%;
	}
}

.innung {
	margin-bottom: 25px;
}
/* #region ---------------------------------- navigation ---------------------------------------- */

/* burgermenu for tablet */

@media (max-width: 991px) {
	#burgerButton {
		font-size: 0;
		border: none !important;
		display: block;
		height: 50px;
		width: 60px;
		border-radius: 2px;
		padding: 6px 8px;
		cursor: pointer;
		background-color: #ffffff;
		box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
	}

	#burgerButton::before,
	#burgerButton::after,
	#burgerButtonInner {
		background-color: #207983;
		border-radius: 2px;
		position: absolute;
		width: 40px;
		height: 3px;
		left: 10px;
		transition:
			transform 200ms linear,
			opacity 200ms linear;
	}

	#burgerButton[aria-expanded="true"] #burgerButtonInner {
		transform: rotate(-45deg) translate(-6px, 6px);
	}

	#burgerButton[aria-expanded="true"]::before {
		opacity: 0;
	}

	#burgerButton[aria-expanded="true"]:after {
		transform: rotate(45deg) translate(-4px, -6px);
	}

	#burgerButtonInner {
		top: 16px;
	}

	#burgerButton::before {
		top: 24px;
		content: "";
	}

	#burgerButton::after {
		top: 32px;
		content: "";
	}

	.navbar-nav {
		margin: 20px 0;
	}

	.navbar-collapse {
		width: calc(100% - 90px);
		max-width: 300px;
		top: 0;
		background: #ffffff;
		position: fixed;
		left: -100%;
		bottom: 0;
		z-index: 100;
		height: auto !important;
		opacity: 0;
		pointer-events: none;
		visibility: hidden;
		overflow-y: auto;
		transition:
			left 300ms linear,
			opacity 300ms linear,
			box-shadow 600ms linear;
		box-shadow: 250px 0 50vw 50vw rgba(255, 255, 255, 0);
	}

	.navbar-collapse:is([aria-expanded="true"], .in) {
		left: 0;
		opacity: 1;
		pointer-events: auto;
		visibility: visible;
		box-shadow: 250px 0 50vw 50vw rgba(0, 0, 0, 0.6);
	}

	.navbar-header {
		position: fixed;
		top: 15px;
		right: 15px;
		z-index: 101;
	}

	.dropdown-toggle-button-wrapper {
		top: 5px;
	}

	.dropdown-toggle-button-wrapper2 {
		top: 2px;
	}
}

/* menu desktop */

@media (min-width: 992px) {
	nav.horizontally {
		background: #ffffff;
		position: relative;
	}

	.is-sticky nav.horizontally {
		border-bottom: 1px solid #010101;
	}

	nav.horizontally .navbar-nav > li {
		display: inline-block;
	}

	nav.horizontally .dropdown-menu {
		position: absolute;
		top: 100%;
		left: 0;
		z-index: 1000;
	}

	nav.horizontally .navbar-nav ul {
		position: absolute;
		top: 100%;
		left: 0;
		z-index: 1000;
		display: block !important;
		pointer-events: none;
		opacity: 0;
		visibility: hidden;
		transition: opacity 300ms linear;
	}

	nav.horizontally .navbar-nav [class*="secondlevel"] > ul {
		left: 100%;
		top: 0;
	}

	nav.horizontally .navbar-nav li {
		position: relative;
	}

	nav.horizontally .navbar-nav li:is(.open:focus-within, :hover) > ul,
	nav.horizontally .navbar-nav li[class*="secondlevel"] > ul[style*="block"] {
		pointer-events: auto !important;
		opacity: 1 !important;
		visibility: visible;
	}

	nav.horizontally .navbar-nav li:is(:hover, :focus-within) > ul {
		z-index: 1003;
	}
}

/* toplevel */

nav.horizontally a[class*="toplevel"] {
	color: #010101;
	font-weight: 700;
	text-align: left;
	padding: 10px 15px;
	font-size: 1.0625rem;
	line-height: 1.2;
	text-decoration: none;
}

@media (max-width: 991px) {
	nav.horizontally a[class*="toplevel"].dropdown-toggle {
		padding-right: 35px;
	}
}

@media (min-width: 992px) {
	nav.horizontally li[class*="toplevel"] + li {
		margin-left: 15px;
	}

	nav.horizontally a[class*="toplevel"] {
		padding: 16px 5px;
		margin: 10px 0;
	}
}

/* toplevel-over */

nav.horizontally li[class*="toplevel"]:is(:hover, :focus-within) > a,
nav.horizontally li[class*="toplevel"] > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"].open > a,
nav.horizontally li[class*="toplevel"].open > a:is(:hover, :focus),
nav.horizontally li[class*="toplevel"][class*="_over"] > a,
nav.horizontally li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus) {
	color: #207983;
	background-color: #ffffff;
}

/* secondlevel + thirdlevel dropdown-box */

nav.horizontally [class*="toplevel"] ul {
	background-color: #fff;
}

@media (max-width: 991px) {
	nav.horizontally [class*="toplevel"] ul {
		padding: 15px;
	}
}

@media (min-width: 992px) {
	nav.horizontally [class*="toplevel"] ul {
		padding-top: 20px;
		padding-bottom: 20px;
		border-radius: 2px;
	}

	nav.horizontally [class*="toplevel"] > ul {
		margin-top: -10px;
		left: 0;
	}

	nav.horizontally [class*="secondlevel"] > ul {
		margin-top: -20px;
		border-radius: 2px;
		margin-left: 10px;
	}

	nav.horizontally [class*="secondlevel"] > ul::before {
		content: "";
		position: absolute;
		display: block;
		width: 10px;
		top: 0;
		bottom: 0;
		left: -10px;
	}
}

/* secondlevel + thirdlevel */

nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"]) {
	color: #010101;
	font-weight: normal;
	text-align: left;
	padding: 8px 25px 8px 38px;
	font-size: 0.9375rem;
	line-height: 1.2;
	text-decoration: none;
	position: relative;
}

@media (max-width: 991px) {
	nav.horizontally a[class*="secondlevel"].dropdown-toggle2 {
		padding-right: 35px;
	}
}

nav.horizontally a:is([class*="secondlevel"], [class*="thirdlevel"])::before {
	content: "•";
	position: absolute;
	top: 7px;
	left: 25px;
	margin-right: 4px;
}

/* secondlevel + thirdlevel over */

nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus),
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a,
nav.horizontally li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus) {
	background: #30b2c4;
	color: #010101;
}

/* #endregion ------------------------------- navigation ---------------------------------------- */

/* #region ------------------------------------ banner ------------------------------------------ */

#headerpic {
	margin: 0;
	position: relative;
	overflow: hidden;
}

#slider {
	max-height: clamp(300px, 46vw, 450px);
	position: relative;
}

@media (min-width: 992px) {
	#headerpic .nivo-directionNav a {
		top: 20px;
	}
	#headerpic .nivo-controlNav {
		top: 10px;
		bottom: auto;
	}

	body.index #slider {
		max-height: clamp(300px, 62vw, 675px);
	}
}

.slider-wrapper,
#slider {
	height: 100%;
}

.slider-mask {
	display: none;
}

@media (min-width: 992px) {
	.slider-mask {
		display: block;
		background: linear-gradient(to right, #000000 25%, transparent 85%);
		opacity: 0.75;
	}
}

#slogan {
	font-weight: normal;
	padding: 30px 0;
	font-size: clamp(1.25rem, 3vw, 1.875rem);
	text-decoration: underline;
	text-underline-offset: 10px;
	text-decoration-thickness: 2px;
	line-height: 1.75;
}

#slogan a {
	color: inherit;
}

#slogan :is(b, strong) {
	font-weight: 700;
}

@media (min-width: 992px) {
	#slogan {
		display: inline-block;
		pointer-events: auto;
		color: #ffffff;
		padding: 0;
	}

	#bannerOverlay {
      background: linear-gradient(90deg,rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 100%);
		position: absolute;
		right: 0;
		bottom: clamp(60px, 15vw, 220px);
		left: 0;
		z-index: 53;
		pointer-events: none;
	}
}

/* #endregion --------------------------------- banner ------------------------------------------ */

/* ------------------------------------------- quicklinks ------------------------------------------ */

#quicklinks {
	position: relative;
	padding: 40px 0 100px 0;
	font-weight: 700;
}

@media (min-width: 992px) {
	#quicklinks {
		padding-top: 0;
		margin-top: -40px;
		padding-bottom: 20px;
	}
}

#quicklinks a {
	color: inherit;
	text-decoration: none;
}

#quicklinks a::after {
	content: "";
	position: absolute;
	inset: -110px 0 -10px 0;
	z-index: 21;
}

#quicklinks::after {
	content: "";
	position: absolute;
	z-index: -1;
	background: url(../img/hintergrund-wasser.jpg);
	background-position: bottom center;
	background-repeat: no-repeat;
	background-size: contain;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 100vw;
	height: 1000vh;
   max-width: 1930px;
}

#quicklinks .template-page {
	padding: 5px;
	border-radius: 5px;
	width: 100%;
	margin-top: 100px;
}

@media (min-width: 992px) {
	#quicklinks .template-page {
		background: #ceecf1;
	}
}

#quicklinks .template-page::before {
	content: "";
	position: absolute;
	top: 0;
	left: 50%;
	transform: translateX(-50%);
	background: url(../img/icon-wasserhahn.png);
	background-repeat: no-repeat;
	background-position: center;
	width: 80px;
	height: 80px;
	background-color: #30b2c4;
	z-index: 20;
	border-radius: 8px;
	transition: width 300ms ease;
}

#quicklinks .template-page:is(:hover, :focus)::before {
	width: calc(100% - 30px);
}

#quicklinks .tab2 .template-page::before {
	background-image: url(../img/icon-heizung.png);
}

#quicklinks .tab3 .template-page::before {
	background-image: url(../img/icon-badewanne.png);
}

#quicklinks .tab4 .template-page::before {
	background-image: url(../img/icon-warmepumpe.png);
}

/* ------------------------------------------- content ------------------------------------------ */

#content {
	text-align: left;
	padding-bottom: clamp(30px, 6vw, 80px);
	padding-top: clamp(30px, 4vw, 50px);
}

/* -------------------------------------- h1 - h6, newslink ------------------------------------- */

.h4link a:is(:link, :hover, :focus, :visited),
h6,
h5,
h4,
h3,
h2,
h1 {
	color: #010101;
	font-weight: 400;
	line-height: 1.2;
	font-family: "Quicksand", sans-serif;
}

h1,
.h1,
.legacy_h1 {
	font-size: clamp(1.875rem, 5.5vw, 2.375rem);
}

h2,
.h2,
.legacy_h2 {
	font-size: clamp(1.75rem, 5vw, 2.25rem);
}

h3,
.h3,
.legacy_h3 {
	font-size: clamp(1.625rem, 4.5vw, 2.125rem);
}

h4,
.h4,
.h4link a:is(:link, :hover, :focus, :visited) .legacy_h4 {
	font-size: clamp(1.5rem, 4vw, 2rem);
}

h5,
.h5,
.legacy_h5 {
	font-size: clamp(1.375rem, 3.5vw, 1.875rem);
}

h6,
.h6,
.legacy_h6 {
	font-size: clamp(1.25rem, 3vw, 1.5625rem);
}

/* -------------------------------------------- teaser ------------------------------------------ */

#teaser {
	padding: clamp(50px, 10vw, 100px) 0;
	background-color: #ceecf1;
	font-weight: 400;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	font-size: 1.25rem;
}

#teaser :is(h1, h2, h3, h4, h5, h6) {
	font-weight: 400;
	margin: 0 0 30px 0;
	font-size: clamp(1.5rem, 2vw, 1.875rem);
	color: #010101;
}

#teaser :is(h1, h2, h3, h4, h5, h6) :is(i, em) {
	font-weight: 700;
	display: block;
	font-style: normal;
}

#teaser a {
	display: inline-block;
	background: #30b2c4;
	color: #010101;
	font-size: 1rem;
	border-radius: 8px;
	padding: 6px 20px;
	font-weight: 700;
	text-decoration: none;
	margin-top: 30px;
	margin-inline: 10px;
}

#teaser a:is(:hover, :focus) {
	background: #207983;
	color: #ffffff;
}

/* #region ----------------------------------- footer ------------------------------------------- */

@media (max-width: 767px) {
	#footer > .row > div + div {
		border-top: 1px solid rgba(100, 115, 139, 0.1);
		margin-top: 20px;
		padding-top: 20px;
	}
}

@media (min-width: 768px) {
	#footer > .row > div:not(:last-child) {
		padding-top: 10px;
		padding-bottom: 10px;
		border-left: 1px solid rgba(100, 115, 139, 0.1);
	}
}

#footer :is(h1, h2, h3, h4, h5, h6) {
	font-size: clamp(1.25rem, 3vw, 1.5rem);
}

#footer {
	padding: 30px 0;
	border-top: 3px solid #010101;
	color: #010101;
	font-size: 1rem;
}

#footer .footerContactTab a {
	position: relative;
}

#footer a:is([href*="mailto:"], a[href*="tel:"]) {
	position: relative;
	display: inline-block;
	padding-left: 30px;
	margin-top: 5px;
	text-decoration: underline;
}

#footer a:is([href*="mailto:"], a[href*="tel:"])::before {
	content: "";
	display: block;
	position: absolute;
	height: 22px;
	width: 22px;
	background:
		url("../img/icon-mail.png") center no-repeat,
		#30b2c4;
	top: 50%;
	left: 0;
	border-radius: 50%;
	transform: translateY(-50%);
}

#footer a[href*="tel:"]::before {
	background:
		url("../img/icon-phone.png") center no-repeat,
		#30b2c4 !important;
}

#innerfooter ul {
	padding: 0;
}

#innerfooter a {
	color: #010101;
	text-decoration: none;
	display: inline-block;
}

#innerfooter a:is(:hover, :focus) {
	color: #c93631;
}

/* #endregion -------------------------------- footer ------------------------------------------- */

/* ------------------------------------------- vernetzt ----------------------------------------- */

#vernetzt {
	gap: 12px;
	text-align: left;
	font-size: 0.875rem;
	color: #010101;
	line-height: 1.3;
	text-decoration: none;
}

#vernetzt span span {
	display: block;
}

/* ------------------------------------------ scroll top ---------------------------------------- */

#scroll-top {
	font-size: 0;
	background-color: #30b2c4;
	color: #010101;
	border-radius: 50%;
	width: 30px;
	height: 30px;
	display: block !important;
	position: relative;
	margin: 0 0 0 auto;
}

#scroll-top:is(:hover, :focus) {
	background-color: #ceecf1;
}

#scroll-top::after {
	content: "";
	width: 0;
	height: 0;
	position: absolute;
	left: 9px;
	top: 12px;
	border-style: solid;
	border-width: 0 6px 6px 6px;
	border-color: transparent transparent #010101 transparent;
	transform: none;
}
